Bug 210368 - [PATCH] net-mgmt/nfsen: Fix some installation ownership issues
Summary: [PATCH] net-mgmt/nfsen: Fix some installation ownership issues
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Felder
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-06-18 02:48 UTC by Craig Leres
Modified: 2016-07-07 19:43 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (feld)


Attachments
patch (2.69 KB, text/plain)
2016-06-18 02:48 UTC, Craig Leres
no flags Details
patch (4.11 KB, patch)
2016-06-18 03:23 UTC, Craig Leres
no flags Details | Diff
poudriere build log (9.3-RELEASE) (28.35 KB, text/plain)
2016-06-18 03:24 UTC, Craig Leres
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Leres freebsd_committer 2016-06-18 02:48:41 UTC
Created attachment 171531 [details]
patch

Fix some installation ownership issues and update the rc.d script to make it easier to run nfsen as a user other than www.
Comment 1 Craig Leres freebsd_committer 2016-06-18 03:23:32 UTC
Created attachment 171532 [details]
patch

Fix preexisting "make check-plist" issues poudriere uncovered.
Comment 2 Craig Leres freebsd_committer 2016-06-18 03:24:45 UTC
Created attachment 171533 [details]
poudriere build log (9.3-RELEASE)
Comment 3 Mark Felder freebsd_committer 2016-06-27 16:17:55 UTC
Hello,

Thanks for this. I haven't had a chance to test it but I will very soon.
Comment 4 commit-hook freebsd_committer 2016-07-07 19:42:13 UTC
A commit references this bug:

Author: feld
Date: Thu Jul  7 19:41:31 UTC 2016
New revision: 418197
URL: https://svnweb.freebsd.org/changeset/ports/418197

Log:
  net-mgmt/nfsen: Improve default directory permissions

  Also make it easier to install/run as another user.

  PR:		210368

Changes:
  head/net-mgmt/nfsen/Makefile
  head/net-mgmt/nfsen/files/nfsen.in
  head/net-mgmt/nfsen/pkg-plist
Comment 5 Mark Felder freebsd_committer 2016-07-07 19:42:32 UTC
committed, thanks!
Comment 6 commit-hook freebsd_committer 2016-07-07 19:43:15 UTC
A commit references this bug:

Author: feld
Date: Thu Jul  7 19:42:20 UTC 2016
New revision: 418198
URL: https://svnweb.freebsd.org/changeset/ports/418198

Log:
  MFH: r418197

  net-mgmt/nfsen: Improve default directory permissions

  Also make it easier to install/run as another user.

  PR:		210368

  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2016Q3/
  branches/2016Q3/net-mgmt/nfsen/Makefile
  branches/2016Q3/net-mgmt/nfsen/files/nfsen.in
  branches/2016Q3/net-mgmt/nfsen/pkg-plist